package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 任务周期
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.801
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_TASK_CYCLE")
@Api(value="任务周期",description = "任务周期")
public class SysTaskCycle extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="TASK_CYCLE_EXPS")
    @ApiParam(value ="任务周期表达式")
    private String taskCycleExps;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name="TASK_CYCLE_START_DATE")
    @ApiParam(value ="开始时间")
    private String taskCycleStartDatetime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name="TASK_CYCLE_END_DATE")
    @ApiParam(value ="结束时间")
    private String taskCycleEndDatetime;

    @Column(name="TASK_CYCLE_DESCRIPTION")
    @ApiParam(value ="描述")
    private String taskCycleDescription;
}
