package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :作业记录参数表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2018-11-23 13:14
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_ACTION_LOG_DATA")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="作业记录参数表",description = "作业记录参数表")
public class WmsActionLogData extends BaseBean {

    @Column(name = "ALD_ID")
    @ApiParam(value = "记录明细编号")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long aldId;

    @Column(name = "ALD_SEQ")
    @ApiParam(value = "步骤序号")
    private Integer aldSeq;

    @Column(name = "CALL_CLASS")
    @ApiParam(value = "实现类")
    private String callClass;

    @Column(name = "CALL_FUN")
    @ApiParam(value = "调用方法")
    private String callFun;

    @Column(name = "EXECUTE_STATUS")
    @ApiParam(value = "执行状态")
    private Integer executeStatus;

    @Column(name = "START_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiParam(value="开始执行时间",example = "2000-01-01 01:00:00")
    private String startTime;

    @Column(name = "END_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiParam(value="结束执行时间",example = "2000-01-01 01:00:00")
    private String endTime;

    @Column(name = "IN_PARAMS", columnDefinition = "TEXT")
    @ApiParam(value = "输入参数")
    private String inParams;

    @Column(name = "OUT_PARAMS", columnDefinition = "TEXT")
    @ApiParam(value = "输出参数")
    private String outParams;

    @Column(name = "OUT_RESULT", columnDefinition = "TEXT")
    @ApiParam(value = "执行结果")
    private String outResult;
}
