package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :元数据按钮信息表
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2018-11-02 9:33
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_BUTTON")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="元数据按钮信息表",description = "元数据按钮信息表")
public class WmsButton extends BaseBean {

    @Column(name = "CODE")
    @ApiParam(value = "元数据编码")
    private String code;

    @Column(name = "NAME")
    @ApiParam(value = "按钮名称")
    private String name;

    @Column(name = "ICON")
    @ApiParam(value = "图标")
    private String icon;

    @Column(name = "UI")
    @ApiParam(value = "按钮UI路径")
    private String ui;

    @Column(name = "BS")
    @ApiParam(value = "按钮BS路径")
    private String bs;

    @Column(name = "URL")
    @ApiParam(value = "服务端URL")
    private String url;

    @Column(name = "ORDER_NUM")
    @ApiParam(value = "排序号",example = "1")
    private Integer orderNum;

    @Column(name = "GROUP_NUM")
    @ApiParam(value = "分组号",example = "1")
    private Integer groupNum;

    @Column(name = "IS_BASE")
    @ApiParam(value = "是否基础功能",example = "2")
    private Integer isBase;

    @Column(name = "IS_HIDE")
    @ApiParam(value = "是否删除",example = "2")
    private Integer isHide;
}
