package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 盘点实盘信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOC_CS_FACTTRANS")
@Api("盘点实盘信息")
public class WmsCSFactTrans extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="WH_NO")
    @ApiParam("仓库代码")
    public String whNo;

    @Column(name="ZONE_NO")
    @ApiParam("存储区编号")
    public String zoneNo;

    @Column(name="LOCATE_NO")
    @ApiParam("库位编号")
    public String locateNo;

    @Column(name="PART_NO")
    @ApiParam("物料代码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="SN")
    @ApiParam("条码")
    public String sn;

    @Column(name="QTY")
    @ApiParam(value = "库存数量", example = "0")
    public Double qty;

    @Column(name="UNIT")
    @ApiParam("单位")
    public String unit;

    @Column(name="FACT_QTY")
    @ApiParam(value = "实盘数量", example = "0")
    public Double factQty;

    /**
     * 状态:1=创建,10=已处理
     */
    @Column(name="ITEM_STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer itemStatus;

    @Column(name="REMARK")
    @ApiParam(value = "备注")
    public String reMark;
}
