package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :移库单详情实体(用于转储类业务)
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-13 16:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_DOC_MOVEMENT_DETAILS")
@Api("移库单详情表")
public class WmsDocMovementDetails extends BaseBean {
    @Column(name = "ORDER_NO")
    @ApiParam(value = "单号")
    private String orderNo;

    @Column(name = "ITEM")
    @ApiParam(value = "行号", example = "1")
    private Integer item;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "物料名称")
    private String partName;

    @Column(name = "UNIT")
    @ApiParam(value = "单位")
    private String unit;

    @Column(name = "SRC_WH")
    @ApiParam(value = "发出库仓库")
    private String srcWh;

    @Column(name = "DEST_WH")
    @ApiParam(value = "接收库仓库")
    private String destWh;

    @Column(name = "QTY")
    @ApiParam(value = "需求数量", example = "1")
    private Double qty;

    @Column(name = "PRINT_QTY")
    @ApiParam(value = "条码打印数量", example = "1")
    private Double printQty;

    @Column(name = "FACT_QTY")
    @ApiParam(value = "操作完成数量", example = "1")
    private Double factQty;

    @Column(name = "ZDATE")
    @ApiParam(value = "计划日期")
    private String zdate;

    @Column(name = "ZTIME")
    @ApiParam(value = "计划时间")
    private String ztime;

    @Column(name = "SRC_NO")
    @ApiParam(value = "源单号")
    private String srcNo;
    /**
     * 状态:N=正常,C=行取消
     */
    @Column(name = "ITEM_STATUS")
    @ApiParam(value = "状态", example = "1")
    private Integer itemStatus;

    /**
     * 是否免费:0=计费,1=免费
     */
    @Column(name = "IS_FREE")
    @ApiParam(value = "是否免费", example = "1")
    public Integer isFree;

    @Column(name = "REMARK")
    @ApiParam(value = "操作原因")
    private String remark;

    @Column(name = "PICK_QTY")
    @ApiParam(value = "已配数量", example = "1")
    private Double pickQty;

    @Column(name = "OUT_QTY")
    @ApiParam(value = "已提交数量", example = "1")
    private Double outQty;

    @Column(name = "INLINE_QTY")
    @ApiParam(value = "已上线数量", example = "1")
    private Double inlineQty;

    @Column(name = "REJECT_QTY")
    @ApiParam(value = "退料数量", example = "1")
    private Double rejectQty;

    @Column(name = "REJECT_POST_QTY")
    @ApiParam(value = "退料提交数量", example = "1")
    private Double rejectPostQty;
}
