package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 元数据字段表
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-02 10:00
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_FIELD")
@Api("元数据字段表")
public class WmsField extends BaseBean{

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象编码")
    private String objectCode;

    @Column(name = "FIELD_NUM")
    @ApiParam(value = "表单分组序号",example = "-1")
    private Integer fieldNum;

    @Column(name = "ORDER_NUM")
    @ApiParam(value = "排序索引",example = "-1")
    private Integer orderNum;

    @Column(name = "FIELD_SET")
    @ApiParam("表单分组")
    private String fieldSet;

    @Column(name = "TABLE_NAME")
    @ApiParam("字段表名")
    private String tableName;

    @Column(name = "FIELD_EN")
    @ApiParam("英文名")
    private String fieldEn;

    @Column(name = "FIELD_CN")
    @ApiParam("中文名")
    private String fieldCn;

    @Column(name = "TYPE")
    @ApiParam("控件类型")
    private String type;

    @Column(name = "EXP")
    @ApiParam("控件表达式")
    private String exp;

    @Column(name = "IS_QUERY")
    @ApiParam(value = "是否可查询", example = "2")
    private Integer isQuery;

    @Column(name = "IS_SHOW")
    @ApiParam(value = "是否可显", example = "1")
    private Integer isShow;

    @Column(name = "IS_DISABLE")
    @ApiParam(value = "是否禁用", example = "2")
    private Integer isDisable;

    @Column(name = "IS_ORDER")
    @ApiParam(value = "是否可排序", example = "1")
    private Integer isOrder;

    @Column(name = "IS_EDIT")
    @ApiParam(value = "是否可编辑字段", example = "1")
    private Integer isEdit;

    @Column(name = "IS_REQURIED")
    @ApiParam(value = "是否必填", example = "1")
    private Integer isRequried;

    @Column(name = "IS_MULTIPLE")
    @ApiParam(value = "是否多选项", example = "2")
    private Integer isMultiple;

    @Column(name = "PLACEHOLDER")
    @ApiParam("输入提示")
    private String placeholder;

    @Column(name = "VALIDATOR")
    @ApiParam(value = "是否可编辑字段", example = "2")
    private Integer validator;

    @Column(name = "DEFAULTER")
    @ApiParam("默认值")
    private String defaulter;

    @Column(name = "ADD_STATUS")
    @ApiParam(value = "状态", example = "1")
    private Integer addStatus;

    @Column(name = "DATA_TYPE")
    @ApiParam(value = "数据类型", example = "1")
    private Integer dataType;

    @Column(name = "DATA_TYPE_NAME")
    @ApiParam("数据类型名称")
    private String dataTypeName;

    @Column(name = "DATA_SIZE")
    @ApiParam(value = "整数位长度", example = "1")
    private Integer dataSize;

    @Column(name = "DATA_DECIMAL")
    @ApiParam(value = "小数位长度", example = "1")
    private Integer dataDecimal;

}
