package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库位表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-07 10:35
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_LOCATE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="库位表",description = "库位表")
public class WmsLocate extends BaseBean {

    @Column(name="LOCATE_NO")
    @ApiParam(value ="库位代码")
    private String locateNo;

    @Column(name="LOCATE_NAME")
    @ApiParam(value ="库位名称")
    private String locateName;

    /**
     * 1=收货库,10=基础库,20=机动库,30=组合库,40=线边库,50=NC库
     */
    @Column(name="LOCATE_TYPE")
    @ApiParam(value ="库位类型")
    private Integer locateType;

    @Column(name="WH_NO")
    @ApiParam(value ="仓库代码")
    private String whNo;

    @Column(name="ZONE_NO")
    @ApiParam(value ="存储区代码")
    private String zoneNo;

    @Column(name="X")
    @ApiParam(value ="X", example = "-1")
    private Integer x;

    @Column(name="Y")
    @ApiParam(value ="Y", example = "-1")
    private Integer y;

    @Column(name="Z")
    @ApiParam(value ="Z", example = "-1")
    private Integer z;

    @Column(name="SEQ")
    @ApiParam(value ="序号", example = "-1")
    private Integer seq;

    @Column(name="IS_EMPTY")
    @ApiParam(value ="是否空库位", example = "-1")
    private Integer isEmpty;

    @Column(name="MAX_PACKAGE_QTY")
    @ApiParam(value ="最大包装数量", example = "-1")
    private Integer maxPackageQty;

    @Column(name="MAX_PART_QTY")
    @ApiParam(value ="最大零件数量", example = "-1")
    private Integer maxPartQty;

    @Column(name="STOCK_UNIT")
    @ApiParam(value ="存放单位")
    private String stockUnit;

}
