package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 质检单明细信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_QC_DETAILS")
@Api("质检单明细信息")
public class WmsQCDetails extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="ITEM")
    @ApiParam("行号")
    public String item;

    /**
     * 状态:N=正常,C=行取消
     */
    @Column(name="ITEM_STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer itemStatus;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;

    @Column(name="PLAN_QTY")
    @ApiParam(value = "应检数量", example = "0")
    public Double planQty;

    @Column(name="FACT_QTY")
    @ApiParam(value = "实检数量", example = "0")
    public Double factQty;

    @Column(name="PASS_QTY")
    @ApiParam(value = "合格数量", example = "0")
    public Double passQty;

    @Column(name="REJECT_QTY")
    @ApiParam(value = "不合格数量", example = "0")
    public Double rejectQty;

    @Column(name="QC_USER")
    @ApiParam("检验员")
    public String qcUser;

    @Column(name="QC_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiParam(value="检验时间",example = "2000-01-01 01:00:00")
    public String qcTime;

    @Column(name="PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="UNIT")
    @ApiParam("单位")
    public String unit;
}
