package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description : 库存条码信息
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-17 14:50
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_STOCK_SN")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value = "库存条码信息", description = "库存条码信息")
public class WmsStockSn extends BaseBean {

    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区编号")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位代码")
    private String locateNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编号")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam(value = "物料名称")
    private String partNameRdd;

    @Column(name = "LOT_NO")
    @ApiParam("批次编码")
    public String lotNo;

    @Column(name = "DATE_CODE")
    @ApiParam(value = "生产日期")
    public String dateCode;

    @Column(name = "LEFT_CODE")
    @ApiParam(value = "有效期")
    private String leftCode;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编码")
    public String vendorNo;

    @Column(name = "FIX_LOT_NO")
    @ApiParam(value = "特殊批次")
    private String fixLotNo;

    @Column(name = "CUST_NO")
    @ApiParam(value = "客户编码")
    private String custNo;

    @Column(name = "SHIPPING_FLAG")
    @ApiParam(value = "发往地")
    private String shippingFlag;

    @Column(name = "SN")
    @ApiParam(value = "条码")
    private String sn;

    @Column(name = "SN_2D")
    @ApiParam(value = "二维码")
    private String sn2d;

    @Column(name = "PACKAGE_NO")
    @ApiParam(value = "包装编号")
    private String packageNo;

    @Column(name = "UNIT")
    @ApiParam(value = "单位")
    private String unit;

    @Column(name = "QTY")
    @ApiParam(value = "数量", example = "0")
    private Double qty;
    /**
     * 1=未质检,10=质检合格,20=质检不合格,30=已退货
     */
    @Column(name = "QC_STATUS")
    @ApiParam(value = "质检状态", example = "0")
    private Integer qcStatus;
    /**
     * :1=创建,10=已收货,20=已质检,30=已入库,40=待出库,50=已出库,
     * 60=在途,70=已隔离,80=破包,90=冻结,100=作废
     */
    @Column(name = "SN_STATUS")
    @ApiParam(value = "条码状态", example = "0")
    private Integer snStatus;
    /**
     * 1:已打印；2：未打印
     */
    @Column(name = "PRINTED")
    @ApiParam(value = "是否打印", example = "0")
    private Integer printed;

    @Column(name = "PDATE")
    @ApiParam(value = "打印时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date pdate;
    /**
     * 1=ASN,10=PO,20=SO
     */
    @Column(name = "REF_TYPE")
    @ApiParam(value = "关联单据类型", example = "0")
    private Integer refType;

    @Column(name = "REF_SRC")
    @ApiParam(value = "关联单号")
    private String refSrc;
}
